Skip to main content
PUT
/
editmember_type
Update Membership Type
curl --request PUT \
  --url https://api.example.com/editmember_type \
  --header 'Content-Type: application/json' \
  --data '
{
  "membership_type.id": 123
}
'
{
  "status": "success",
  "data": {
    "id": 5,
    "name": "Premium Member (Updated)",
    "category": "premium",
    "duration": "24",
    "autorecurring_payment": true,
    "reminder_frequency": "quarterly"
  }
}

Request Body

Same structure as Create Membership Type, with the addition of:
membership_type.id
integer
required
ID of the membership type to update.
All other fields from the create endpoint are accepted and will update the corresponding values.

Response

{
  "status": "success",
  "data": {
    "id": 5,
    "name": "Premium Member (Updated)",
    "category": "premium",
    "duration": "24",
    "autorecurring_payment": true,
    "reminder_frequency": "quarterly"
  }
}